Pistis
API referenceChanging a session

Take over the screen

POST
/sessions/{id}/control

You control the sandbox's screen until you hand it back or have been gone for the server's screen.returnAfter; asking again renews it. The agent's screen actions wait meanwhile, durably. The session's owner or an admin may. 409 while someone else controls it, or when the agent's screen action in flight doesn't end within 15 s.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

You control it

application/json
  1. response
holder*unknown
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/control'
Example Response
{  "holder": "agent"}